%define libxml2_version 2.5
%define orbit2_version 2.6.0
%define libbonobo_version 2.3.6-2
%define libgnomecanvas_version 2.0.0
%define libgnome_version 2.2.0
%define libart_lgpl_version 2.3.8
%define libbonoboui_version 2.3.6
%define glib2_version 2.2.0
%define pango_version 1.2.0
%define gtk2_version 2.2.0-1
%define gconf2_version 2.3.0
%define gnome_vfs2_version 2.5.3
%define libglade2_version 2.0.0
%define esound_version 1:0.2.27

%define po_package libgnomeui-2.0

Summary: GNOME base GUI library
Name: libgnomeui
Version: 2.8.0
Release: 1.1AX
URL: ftp://ftp.gnome.org
Source0: %{name}-%{version}.tar.bz2
Patch0: libgnomeui-2.7.92-auth.patch
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root

Requires: ORBit2 >= %{orbit2_version}
Requires: glib2 >= %{glib2_version}
Requires: pango >= %{pango_version}
Requires: gtk2 >= %{gtk2_version}
Requires: GConf2 >= %{gconf2_version} 
Requires: gnome-vfs2 >= %{gnome_vfs2_version}
Requires: libgnomecanvas >= %{libgnomecanvas_version}
Requires: libbonobo >= %{libbonobo_version}
Requires: libbonoboui >= %{libbonoboui_version}
Requires: libxml2 >= %{libxml2_version}
Requires: libgnome >= %{libgnome_version}
Requires: libart_lgpl >= %{libart_lgpl_version}
Requires: libglade2 >= %{libglade2_version}
Requires: esound >= %{esound_version}
Requires: XFree86-libs >= 4.2.99
Requires: fontconfig
Requires: gnome-keyring
Requires: alsa-lib
Requires: libjpeg

BuildRequires: zlib-devel
BuildRequires: ORBit2-devel >= %{orbit2_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: GConf2-devel >= %{gconf2_version} 
BuildRequires: gnome-vfs2-devel >= %{gnome_vfs2_version}
BuildRequires: libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildRequires: libbonobo-devel >= %{libbonobo_version}
BuildRequires: libbonoboui-devel >= %{libbonoboui_version}
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: libart_lgpl-devel >= %{libart_lgpl_version}
BuildRequires: libglade2-devel >= %{libglade2_version}
BuildRequires: esound-devel >= %{esound_version}
BuildRequires: XFree86-devel >= 4.2.99
BuildRequires: fontconfig
BuildRequires: gnome-keyring-devel
BuildRequires: libjpeg-devel
BuildRequires: gtk-doc

%description

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui package
includes GUI-related libraries that are needed to run GNOME. (The
libgnome package includes the library features that don\'t use the X
Window System.)

%package devel
Summary: Libraries and headers for libgnome
Group: Development/Libraries
Requires: %name = %{version}

Requires: zlib-devel
Requires: esound-devel
Requires: ORBit2-devel >= %{orbit2_version}
Requires: glib2-devel >= %{glib2_version}
Requires: pango-devel >= %{pango_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: GConf2-devel >= %{gconf2_version} 
Requires: gnome-vfs2-devel >= %{gnome_vfs2_version}
Requires: libgnomecanvas-devel >= %{libgnomecanvas_version}
Requires: libbonobo-devel >= %{libbonobo_version}
Requires: libbonoboui-devel >= %{libbonoboui_version}
Requires: libxml2-devel >= %{libxml2_version}
Requires: libgnome-devel >= %{libgnome_version}
Requires: libart_lgpl-devel >= %{libart_lgpl_version}
Requires: libglade2-devel >= %{libglade2_version}
Requires: esound-devel >= %{esound_version}

Conflicts: gnome-libs-devel < 1.4.1.2
Conflicts: gdk-pixbuf-devel <= 0.11

%description devel

GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The libgnomeui-devel package
includes the libraries and include files that you will need to
use libgnomeui.

You should install the libgnomeui-devel package if you would like to
compile GNOME applications. You do not need to install
libgnomeui-devel if you just want to use the GNOME desktop
environment.

%prep
%setup -q

%patch0 -p1 -b .auth

%build
%configure --enable-gtk-doc
export tagname=CC
make

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
%makeinstall

rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-2.0/*/filesystems/*.a

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)

%doc COPYING.LIB ChangeLog NEWS

%{_libdir}/lib*.so.*
## FIXME questionable that libgnomeui still contains these
%{_datadir}/pixmaps/*
%{_libdir}/libglade/2.0/*
%{_libdir}/gtk-2.0/*/filesystems/*
%{_libexecdir}/*

%files devel
%defattr(-,root,root)

%{_libdir}/lib*.a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/gtk-doc

%changelog
* Thu Mar 31 2005 Shiro Yamada <shiro@miraclelinux.com> - 2.8.0-1.1
- add alsa-lib as its requirement

* Wed Sep 22 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- update to 2.8.0

* Fri Sep 17 2004 Matthias Clasen <mclasen@redhat.com> 2.7.92-2
- make the gnome-vfs file chooser backend work better with ftp:

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 2.7.92-1
- update to 2.7.92

* Wed Aug  4 2004 Mark McLoughlin <markmc@redhat.com> 2.7.2-1
- Update to 2.7.2
- Remove patches - all upstream now.

* Tue Jul 27 2004 Colin Walters <walters@redhat.com> 2.6.0-6
- Revert unneeded dep on newer gtk

* Thu Jul 22 2004 Colin Walters <walters@redhat.com> 2.6.0-5
- Backport fileselector crash fix from HEAD
- Remove unneeded calls to autotools
- Remove BR on autotools

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Apr 16 2004 Alexander Larsson <alexl@redhat.com> 2.6.0-3
- Backport fixes from cvs
-  fix fileselector crashes
-  fix auth callback threadsafeness
-  fix auth callback modal dialog bug

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 2.6.0-2
- Require libjpeg and BuildRequire libjpeg-devel for the thumbnailer (#111111)

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Wed Mar 17 2004 Alex Larsson <alexl@redhat.com> 2.5.92-1
- update to 2.5.92

* Thu Mar 11 2004 Alex Larsson <alexl@redhat.com> 2.5.91-2
- enable gtk-doc

* Wed Mar 10 2004 Mark McLoughlin <markmc@redhat.com> 2.5.91-1
- Update to 2.5.91

* Thu Mar 04 2004 Mark McLoughlin <markmc@redhat.com> 2.5.90.1-1
- Update to 2.5.90.1
- Package the gnome-vfs GtkFilesystem impl.

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Feb 24 2004 Alexander Larsson <alexl@redhat.com> 2.5.90-1
- update to 2.5.90

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Alexander Larsson <alexl@redhat.com> 2.5.3-2
- require later gnome-vfs2

* Fri Jan 23 2004 Jonathan Blandford <jrb@redhat.com> 2.5.3-1
- update to new version

* Fri Oct  3 2003 Alexander Larsson <alexl@redhat.com> 2.4.0.1-1
- 2.4.0.1

* Wed Sep  3 2003 Alexander Larsson <alexl@redhat.com> 2.4.0-1
- update to 2.4.0

* Wed Aug 13 2003 Alexander Larsson <alexl@redhat.com> 2.3.6-2
- Remove bonobo-activation dependencies

* Tue Aug 12 2003 Jonathan Blandford <jrb@redhat.com>
- new release for GNOME 2.4

* Mon Jul 28 2003 Havoc Pennington <hp@redhat.com> 2.2.1-3
- rebuild, and libtoolize

* Wed Jul 23 2003 Nalin Dahyabhai <nalin@redhat.com> 2.2.1-2
- remove apparently-unused source file for rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 2.2.1-1
- 2.2.1

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed, hide epoch in esound_version.

* Thu Feb 13 2003 Tim Powers <timp@redhat.com> 2.2.0.1-5
- fixed requires so that we no longer require Xft and Xft-devel, but
  instead XFree86 and XFree86-devel >= 4.2.99

* Tue Feb 11 2003 Alexander Larsson <alexl@redhat.com> 2.2.0.1-4
- Passs LIBTOOL=/usr/bin/libtool to make, should fix lib64 issue

* Tue Feb 11 2003 Bill Nottingham <notting@redhat.com> 2.2.0.1-3
- fix esound req (#74566)

* Fri Jan 31 2003 Alexander Larsson <alexl@redhat.com> 2.2.0.1-2
- Add patch to enable top-left text

* Thu Jan 23 2003 Alexander Larsson <alexl@redhat.com> 2.2.0.1-1
- Update to 2.2.0.1
- removed icon scale patch. Other patch is in upstream.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jan 13 2003 Havoc Pennington <hp@redhat.com>
- copy kdelibs by not scaling icons up more than 6 pixels. needs
  syncing with icon theme spec

* Sun Jan 12 2003 Havoc Pennington <hp@redhat.com>
- rebuild with newer requirements

* Thu Jan  9 2003 Alexander Larsson <alexl@redhat.com> 2.1.90-1
- Update to 2.1.90

* Mon Nov 11 2002 Havoc Pennington <hp@redhat.com>
- 2.1.2
- comment out change-esound-startup patch, not sure about it, doesn't
  apply anymore

* Tue Nov  5 2002 Bill Nottingham <notting@redhat.com> 2.0.3-4
- rebuild for fixed pkgconfig paths

* Thu Aug 29 2002 Havoc Pennington <hp@redhat.com>
- require new libtool and libtoolize to fix rpath bugs

* Wed Aug 21 2002 Elliot Lee <sopwith@redhat.com> 2.0.3-2
- Don't always ensure an esd connection is available just because we
  can do so.

* Mon Aug 12 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3
- fixups to file list and not-packaged files warnings

* Wed Jun 26 2002 Owen Taylor <otaylor@redhat.com>
- Fix find_lang

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.117.2
- remove zero-length AUTHORS/README
- add post/postun ldconfig

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Mon May 20 2002 Havoc Pennington <hp@redhat.com>
- 1.117.1

* Fri May 03 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.116.1

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- 1.114.0

* Thu Feb 14 2002 Havoc Pennington <hp@redhat.com>
- 1.111.1

* Wed Jan 30 2002 Owen Taylor <otaylor@redhat.com>
- Version 1.110.0

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide
- --disable-gtk-doc

* Mon Jan  7 2002 Havoc Pennington <hp@redhat.com>
- 1.108.0.90 snap, remove gconf stuff moved to libgnome

* Tue Nov 27 2001 Havoc Pennington <hp@redhat.com>
- 1.106.0.90 snap, glib 1.3.11
- add explicit-versioned requires on dependency libs
- do gconftool stuff, put schemas in file list
- use makeinstall instead of destdir to avoid broken makefiles

* Mon Oct 29 2001 Havoc Pennington <hp@redhat.com>
- grumble, we require libglade 2 not libglade 1

* Mon Oct 29 2001 Havoc Pennington <hp@redhat.com>
- add libglade module to file list
- add libglade dependency

* Sun Oct 28 2001 Havoc Pennington <hp@redhat.com>
- new snap, rebuild for glib 1.3.10

* Fri Oct  5 2001 Havoc Pennington <hp@redhat.com>
- new tarball, rebuild for new glib, remove db1 dependency

* Mon Sep 24 2001 Havoc Pennington <hp@redhat.com>
- new cvs snap

* Tue Sep 18 2001 Havoc Pennington <hp@redhat.com>
- Initial build.


